> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List QRs

> Retrieve a paginated list of QR codes. It supports pagination and filtering by `aggregator_merchant_id` and `type`. If no `type` is specified, it defaults to `STATIC`



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/qrs
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/qrs:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
    get:
      tags:
        - QRs
      summary: List QRs
      description: >-
        Retrieve a paginated list of QR codes. It supports pagination and
        filtering by `aggregator_merchant_id` and `type`. If no `type` is
        specified, it defaults to `STATIC`
      parameters:
        - $ref: '#/components/parameters/QRListAggregatorMerchantIdParam'
        - $ref: '#/components/parameters/QRListTypeParam'
        - $ref: '#/components/parameters/QRListLimitParam'
        - $ref: '#/components/parameters/QRListOffsetParam'
      responses:
        '200':
          $ref: '#/components/responses/ListQRCodesResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    QRListAggregatorMerchantIdParam:
      name: aggregator_merchant_id
      in: query
      required: false
      schema:
        type: string
        example: am_be454a50-7612-4dc6-a97e-284ebbe7ae93
      description: Filter QR codes by Safepay aggregator merchant identifier
    QRListTypeParam:
      name: type
      in: query
      required: false
      schema:
        type: string
        enum:
          - STATIC
          - DYNAMIC
        example: STATIC
      description: Limit results to QR codes of the given type
    QRListLimitParam:
      name: limit
      in: query
      required: false
      schema:
        type: string
        example: '10'
      description: Maximum number of QR codes to include in the response
    QRListOffsetParam:
      name: offset
      in: query
      required: false
      schema:
        type: string
        example: '0'
      description: Number of QR codes to skip before starting the result set
  responses:
    ListQRCodesResponse:
      description: This response contains a paginated list of QR Codes linked to a merchant
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    type: object
                    properties:
                      qr_codes:
                        type: array
                        description: List of QR codes returned in the result set
                        items:
                          $ref: '#/components/schemas/QRCode'
                      count:
                        type: string
                        description: Total number of QR codes matching the filters
                        example: '7'
          examples:
            QRCodeList:
              value:
                api_version: v1
                data:
                  qr_codes:
                    - id: '4'
                      token: qr_4076ad61-75cf-44a3-97a1-b66643ea3bf2
                      aggregator_merchant_id: am_be454a50-7612-4dc6-a97e-284ebbe7ae93
                      type: DYNAMIC
                      code: >-
                        0002010102122876003285bc899c1dd443e3b3beb24631aef0930108SAFEPAYZ0224PK08ALFH00050010086764445207343434353035865406100.005802PK5921Timeless
                        Designs
                        Code6006Lahore62130509order12348476003285bc899c1dd443e3b3beb24631aef09301367b165d5f-01df-4bfe-81b4-bef010df9
                      terminal_label: ''
                      reference_label: ''
                      is_deleted: false
                      created_at: '2025-04-28T10:26:48Z'
                  count: '7'
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            Unauthorized:
              value:
                api_version: v1
                error:
                  code: error.unauthorized_access
                  message: partner access key is required in request header
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    QRCode:
      type: object
      properties:
        id:
          type: string
        token:
          type: string
        aggregator_merchant_id:
          type: string
        type:
          type: string
        code:
          type: string
        terminal_label:
          type: string
        reference_label:
          type: string
        is_deleted:
          type: boolean
        created_at:
          type: string
          format: date-time
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````